<?=$this->partial('blocks-contentheader');?>

<div class="widget">
    <div class="widget-header">
        <h3><i class="fa fa-magic"></i>
        <?php if ( $this->session->has('edit-PeopleId') ):
            $people = \Houserich\Models\People::findFirst( $this->session->get('edit-PeopleId') );
        ?>
            修改會員資訊{<?=$this->session->get('edit-PeopleId');?>}
        <?php else: ?>
            新增會員
        <?php endif; ?>
        </h3>
    </div>
    <div class="widget-content">

    <form id="memberForm" class="form-horizontal form-validation" action="<?=$this->url->get("people/member/save");?>" method="post">
<?=$form->render('PeopleId'); ?>

<section class="form-group">
    <div class="col-sm-3">
        <label for="account" class="control-label">帳號類型</label>
        <?php if($people): ?>
        <span><?=$people->getTypeLabel();?></span>
        <?php else: ?>
        <select name="type" class="form-control">
            <option value="local">本地</option>
        </select>
        <?php endif; ?>
    </div>
    <div class="col-sm-3">
        <label for="cellphone" class="control-label">註冊門號</label>
        <?php if($people): ?>
        <span><?=$people->cellphone;?></span>
        <?php else: ?>
        <input name="cellphone" value="" class="form-control" required="required" />
        <?php endif; ?>
    </div>
    <?php if($people): ?>
    <div class="col-sm-3">
        <label for="account" class="control-label">帳號狀態</label>
        <span><?=$form->get('lastStatecode')->getValue();?></span>
        <input type="hidden" name="lastStatecode" value="<?=$form->get('lastStatecode')->getValue();?>" />
    </div>
    <div class="col-sm-3">
        <label for="account" class="control-label">最後登入時間</label>
        <span><?=date('Y-m-d H:i:s',$form->get('lastLoginTime')->getValue());?></span>
        <input type="hidden" name="lastLoginTime" value="<?=$form->get('lastStatecode')->getValue();?>" />
    </div>
    <?php endif; ?>
</section>

<section class="form-group">
<?=$form->renderGroups(["account", "fullName", "password", "ID"],
                        "\\House\\Forms\\Decorators\\GridElement");?>
</section>


<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('gender');?>
<?=$form->render('age');?>
<?=$form->render('marriage');?>
<?=$form->render('occupation');?>
<?=$form->render('annualIncome');?>
</section>
</div>


<hr class="inner-separator">
<div class="form-inline">
<section class="form-group">
    <?=$form->renderGroups(["addressCity",
                            "addressDistrict",
                            "addressRoad",
                            "addressLane",
                            "addressAlley",
                            "addressNo",
                            "addressNoEx",
                            "addressFloor",
                            "addressFloorEx"],
                            "\\House\\Forms\\Decorators\\Addresses");?>
</section>


<hr class="inner-separator">
        <aside class="text-center">
            <?php if( $this->session->has('create-PeopleId') or $this->session->has('edit-PeopleId') ): ?>
            <a class="btn btn-primary btn-lg text-right" href="<?=$this->url->get('people/member/form/reset') ?>">重新建檔</a>
            <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">欄位更新</button>
            <?php else: ?>
            <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">會員建檔</button>
            <?php endif; ?>
        </aside>

    </form>

    </div>
</div>


<script type="text/javascript">
$(function(){
    <?php if($this->session->get('create-PeopleId') or $this->session->get('edit-PeopleId')): ?>
    _depend_city_withdistrict( $(".depend-city"), 1 );
    <?php endif; ?>
});
</script>
